标签最低高度设置min-height不兼容,怎么办?

收藏
CSS/CSS3
4
Feb 28, 2018

min-height在设定元素最小高度时不能够兼容所有的浏览器,怎么办。

回答

云松回答

问题分析:

因为min-height本身就是一个不兼容的CSS属性,所以设置min-height时不能很好的被各个浏览器兼容。在B/S系统前端开时,有很多情况下我们又这种需求。当内容小于一个值(如300px)时。容器的高度为300px;当内容高度大于这个值时,容器高度被撑高,而不是出现滚动条。这时候我们就会面临这个兼容性问题。

解决方法:

如果我们要设置一个标签的最小高度300px,需要进行的设置为:{min-height:300px; height:auto !important; height:300px; overflow:visible;}

 

(0)

提交成功